| Haskell Hierarchical Libraries (unix package) | Contents | Index

System.Posix.DynamicLinker.Prim

Portability | non-portable (requires POSIX)
Stability | provisional
Maintainer | vs@foldr.org

Contents

low level API

Description
DLOpen and friend Derived from GModule.chs by M.Weber & M.Chakravarty which is part of c2hs I left the API more or less the same, mostly the flags are different.
Synopsis

c_dlopen :: CString -> CInt -> IO (Ptr ())
c_dlsym :: Ptr () -> CString -> IO (FunPtr a)
c_dlerror :: IO CString
c_dlclose :: Ptr () -> IO CInt
haveRtldNext :: Bool
haveRtldLocal :: Bool
packRTLDFlags :: [RTLDFlags] -> CInt

data RTLDFlags

= RTLD_LAZY
| RTLD_NOW
| RTLD_GLOBAL
| RTLD_LOCAL

packDL :: DL -> Ptr ()

data DL

= Null
| Next
| Default
| DLHandle (Ptr ())

low level API
c_dlopen :: CString -> CInt -> IO (Ptr ())
c_dlsym :: Ptr () -> CString -> IO (FunPtr a)
c_dlerror :: IO CString
c_dlclose :: Ptr () -> IO CInt
haveRtldNext :: Bool
haveRtldLocal :: Bool
packRTLDFlags :: [RTLDFlags] -> CInt
data RTLDFlags

Constructors

RTLD_LAZY |
RTLD_NOW |
RTLD_GLOBAL |
RTLD_LOCAL |

Instances

Show RTLDFlags
Read RTLDFlags

packDL :: DL -> Ptr ()
data DL

Flags for dlsym. Notice that `Next` might not be available on your particular platform!
Constructors

Null |
Next |
Default |
DLHandle (Ptr ()) |

Instances

Show DL

Produced by Haddock version 0.6